cURL
curl --request POST \ --url https://api.embedreach.com/api/segments \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "conditions": [ { "field": "userId", "value": [ "<string>" ], "operator": "equals" } ], "description": "<string>", "type": "custom" } '
{ "success": true, "message": "<string>", "data": { "id": "<string>", "name": "<string>", "createdAt": "<string>", "type": "all_users", "description": "<string>" } }
Create a new tenant segment
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
A friendly name for the segment
The conditions to include in the segment
Show child attributes
userId
email
phone
firstName
lastName
The value to compare the field against (string, number, boolean, date)
equals
not_equals
greater_than
less_than
exists
not_exists
equals_month_day
equals_month_day_year
between_month_day
between_month_day_year
array_contains
The type of segment
custom
one_off
Status 200 response
The id of the segment
The date and time the segment was created
all_users
managed
sql